Bug 862947 - ValueError: Cannot remove non-leaf device 'sdb1'
ValueError: Cannot remove non-leaf device 'sdb1'
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:c6b8e8987d9214876979c28ef0b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 21:50 EDT by Reartes Guillermo
Modified: 2013-05-30 12:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 12:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (641 bytes, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: anaconda-tb (222.96 KB, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: environ (774 bytes, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: storage.log (79.50 KB, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: program.log (26.55 KB, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (16.95 KB, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: syslog (65.73 KB, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-03 21:50 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.32 KB, text/plain)
2012-10-03 21:51 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (114 bytes, text/plain)
2012-10-03 21:51 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-03 21:51 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-03 21:50:23 EDT
Version-Release number of selected component:
anaconda-18.11

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.11 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 375, in _removeDevice
:    raise ValueError("Cannot remove non-leaf device '%s'" % dev.name)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 425, in registerAction
:    self._removeDevice(action.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1219, in destroyDevice
:    self.devicetree.registerAction(action)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 799, in recursiveRemove
:    self.destroyDevice(device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 828, in clearPartitions
:    self.recursiveRemove(part)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 442, in execute
:    storage.clearPartitions()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/kickstart.py", line 1554, in doKickstartStorage
:    ksdata.clearpart.execute(storage, ksdata, instClass)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 333, in _doExecute
:    doKickstartStorage(self.storage, self.data, self.instclass)
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 87, in run
:    threading.Thread.run(self, *args, **kwargs)
:ValueError: Cannot remove non-leaf device 'sdb1'
Comment 1 Reartes Guillermo 2012-10-03 21:50:26 EDT
Created attachment 621230 [details]
File: ifcfg.log
Comment 2 Reartes Guillermo 2012-10-03 21:50:34 EDT
Created attachment 621231 [details]
File: anaconda-tb
Comment 3 Reartes Guillermo 2012-10-03 21:50:36 EDT
Created attachment 621232 [details]
File: product
Comment 4 Reartes Guillermo 2012-10-03 21:50:39 EDT
Created attachment 621233 [details]
File: type
Comment 5 Reartes Guillermo 2012-10-03 21:50:41 EDT
Created attachment 621234 [details]
File: environ
Comment 6 Reartes Guillermo 2012-10-03 21:50:45 EDT
Created attachment 621235 [details]
File: storage.log
Comment 7 Reartes Guillermo 2012-10-03 21:50:47 EDT
Created attachment 621236 [details]
File: version
Comment 8 Reartes Guillermo 2012-10-03 21:50:50 EDT
Created attachment 621237 [details]
File: program.log
Comment 9 Reartes Guillermo 2012-10-03 21:50:53 EDT
Created attachment 621238 [details]
File: anaconda.log
Comment 10 Reartes Guillermo 2012-10-03 21:50:56 EDT
Created attachment 621239 [details]
File: syslog
Comment 11 Reartes Guillermo 2012-10-03 21:50:59 EDT
Created attachment 621240 [details]
File: hashmarkername
Comment 12 Reartes Guillermo 2012-10-03 21:51:01 EDT
Created attachment 621241 [details]
File: packaging.log
Comment 13 Reartes Guillermo 2012-10-03 21:51:03 EDT
Created attachment 621242 [details]
File: cmdline_file
Comment 14 Reartes Guillermo 2012-10-03 21:51:05 EDT
Created attachment 621243 [details]
File: release
Comment 15 David Lehman 2012-10-05 11:51:30 EDT
This issue arises from the following scenario:

1. start with an lvm setup across two disks
2. hide the second disk
3. reformat the pv on the first disk as ext4
4. hide the first disk
5. unhide the second disk
6. run clearpart (type all) on the second disk


It looks like there is some issue with child reference count getting messed up.
Comment 16 Chris Lumens 2012-11-06 10:07:45 EST
Is this reproducible with anaconda-18.25-1?

Note You need to log in before you can comment on or make changes to this bug.